Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`iweb`.`_IRequestEncoder``

interface documentation

`class _IRequestEncoder(Interface): (source)`

Known implementations: `twisted.web.server._GzipEncoder`

View In Hierarchy

An object encoding data passed to `IRequest.write`, for example for compression purpose.

Present Since
12.3

Method | `encode` | Encode the data given and return the result.
Method | `finish` | Callback called when the request is closing.

def encode(data): (source)

Encode the data given and return the result.

Parameters
data:`str` | The content to encode.
Returns
`str` | The encoded data.

def finish(): (source)

Callback called when the request is closing.

Returns
`str` | If necessary, the pending data accumulated from previous `encode` calls.